/* 
  Scrivere una funzione 

	void minmax(int a[], int len, int *min, int *max) 

  che, dato un array a e la sua lunghezza len, scrive il valore del massimo 
  e del minimo elemento di a nelle celle puntate da min e max.

  Scrivere un programma che utilizzi rand() per la generazione di un array di 10 
  elementi interi casuali in [0,100] e provare la funzione stampando i valori del 
  massimo e del minimo.
*/

#include <stdlib.h> // necessaria per rand() and srand()
#include <stdio.h>

#define ARRAYLEN (10)
#define INTMAX (100)

void minmax(int* a, int len, int* min, int* max){

    int i;
    *min = *max = a[0]; // inizialmente assumiamo siano entrambi il primo elemento di a

    for (i = 1; i < len; i++) {
	if (a[i] > *max) *max = a[i]; 
	if (a[i] < *min) *min = a[i];
    }

}


int main() {
    
    int i, a[ARRAYLEN], min, max; 
    
    srand( time(NULL) );
   
    for(i = 0; i < ARRAYLEN; i++) 
	    a[i] = rand()%(INTMAX+1); // genera un numero casuale in [0, INTMAX]

    minmax(a, ARRAYLEN, &min, &max);
    printf("%d %d\n", max, min);

    return 0;

}





